#ifndef RADAR_H
#define RADAR_H
#include <stdio.h>

struct point
{
    double x;
    double y;
};

double compute_distance(struct point a, struct point b);
int is_in_area(struct point center, double radius, struct point point);
size_t detect_points(struct point center, double range, struct point* interesting_points, size_t nb_points);


#endif
